Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 325 - Efax attempts to open null lock-file, fails
Summary: Efax attempts to open null lock-file, fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: efax
Version: 5.2
Hardware: sparc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1998-12-07 11:56 UTC by Andrew Macpherson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-02 17:19:40 UTC


Attachments (Terms of Use)

Description Andrew Macpherson 1998-12-07 11:56:56 UTC
diff -ru efax08a.old/efax.c efax08a/efax.c
--- efax08a.old/efax.c  Tue Sep 17 05:30:43 1996
+++ efax08a/efax.c      Mon Dec  7 10:06:57 1998
@@ -1970,6 +1970,7 @@
   char fnamepat [ PATH_MAX ] ;

   argv0 = argv[0] ;
+  memset((void *)lkfile, 0, sizeof(lkfile));  /* random
effects on sparc linux */
   msg ( "I " Version " " Copyright ) ;
   argv0 = efaxbasename ( argv0 ) ;
   msg ( "A compiled "__DATE__ " " __TIME__ ) ;
diff -ru efax08a.old/efaxos.c efax08a/efaxos.c
--- efax08a.old/efaxos.c        Sat Jun 29 21:45:25 1996
+++ efax08a/efaxos.c    Mon Dec  7 10:44:10 1998
@@ -448,7 +448,7 @@
 {
   int err = 0 ;
   char **p = lkfiles ;
-  while ( *p && ! err )
+  while ( *p && **p && ! err )
     if ( ( err = ttlock ( *p++, log ) ) == 3 ) err = 0 ;
   return err ;
 }
@@ -461,7 +461,7 @@
 {
   int err = 0, i ;
   char **p = lkfiles ;
-  while ( *p )
+  while ( *p && **p )
     if ( ( i = ttunlock ( *p++ ) ) != 0 ) err = i ;
   return err ;
 }

Comment 1 Preston Brown 1999-02-02 17:19:59 UTC
patch applied to efax in RawHide.


Note You need to log in before you can comment on or make changes to this bug.